using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("LabelText", typeof(string));
            dt.Columns.Add("SliderValue", typeof(int));

            DataRow dr = dt.NewRow();
            dr["LabelText"] = "Item 1";
            dr["SliderValue"] = 10;
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["LabelText"] = "Item 2";
            dr["SliderValue"] = 20;
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["LabelText"] = "Item 3";
            dr["SliderValue"] = 30;
            dt.Rows.Add(dr);

            Repeater1.DataSource = dt;
            Repeater1.DataBind();
        }
    }

    protected void RadSlider1_ValueChanged(object sender, EventArgs e)
    {
        RadSlider slider = sender as RadSlider;

        Label1.Text = String.Format("RadSlider with ClientID={0} fired ValueChanged event.", slider.ClientID);
    }
}
